[inherit('sys$library:starlet','lib$spawn','smgdefs','smg$repaint_line',
'BB.PEN')]
module readstr;

[global] 
procedure readstr(var str:string);

{Read the current input string.}

var 
  locstr : packed array [1..data_length] of char;
  len : [word] 0..65535;
  term_code : [word] 0..65535;

begin
  smg$read_string(keyboard,locstr,received_string_length:=len,
                  display_id:=menu_display,terminator_code:=term_code);
  str := substr(locstr,1,len);
  if (term_code = smg$k_trm_ctrlz) then str:=key_exit;
end;
end.

